<?php
require_once('database.php');
class Email
{
    private $pdo;
    public function __construct(){
        $this->pdo = getPdo();
    }
    public function showAll(){
        $req = $this->pdo->prepare('SELECT * FROM email');
        $req->execute();
        $result = $req->fetchAll();
        return $result;
    }
    public function showId(){
        $id = $_REQUEST['id'];
        $req = $this->pdo->prepare('SELECT * FROM email WHERE id = :id LIMIT 1');
        $req->bindValue(':id', $id);
        $req->execute();
        $result = $req->fetchAll();
        return $result;
    }
    public function delete(): void{
        $id = $_REQUEST['id'];
        $req = $this->pdo->prepare('DELETE FROM email WHERE id = :id LIMIT 1');
        $req->bindValue(':id', $id);
        $req->execute();
        
    }
    public function update(){
        $id = $_GET['id'];
        if(isset($_POST['submit'])){
            $req = $this->pdo->prepare('UPDATE email SET mail = :mail, pass = :pass WHERE id =:id');
            $req->bindValue(':mail', $_POST['mail']);
            $req->bindValue(':pass', $_POST['pass']);
            $req->bindValue(':id', $id);
            $req->execute();
        }
        
    }
    public function insert(){
        if(isset($_POST['submit'])){
            $req = $this->pdo->prepare('INSERT INTO email SET mail = :mail, pass = :pass, created = :now');
            $req->bindValue(':mail', $_POST['mail']);
            $req->bindValue(':pass', $_POST['pass']);
            $req->bindValue(':now', date('Y-m-d H:i:s'));
            $req->execute();
        }
    }

}